package de.uniulm.mathematik.typo.items;

/**
 * Wrapper class that wraps all items by delegating objects of the
 * LinedItem class. Such wrapper objects add a visible base line
 * in their genPostScript() method.
 */
public class BaselineWrapper implements ItemWrapper {
   /**
    * Wrap the given item using a delegating instance of the
    * LinedItem class.
    */
   public Item wrap(Item item) {
      return new LinedItem(item);
   }
} // class BaselineWrapper
