package de.uniulm.mathematik.typo.items;

/**
 * This class provides the static method gen() which allows to
 * generate an EPS file for the given item.
 */
public class EPSWrapper {
   /**
    * Generate an encapsulated PostScript file (EPS) which displays
    * the given item. The bounding box is slightly enlarged by border
    * of 10 points to avoid clipping.
    */
   public static StringBuffer gen(PostScriptContext context, Item item) {
      StringBuffer ps = new StringBuffer("");
      ps.append("%!PS-Adobe-3.0 EPSF-3.0\n");
      int border = 10;
      ps.append("%%BoundingBox: " + (-border) + " " +
	 ((double) -item.getDepth() / 1000 - border) + " " +
	 ((double) item.getWidth() / 1000 + border) + " " +
	 ((double) item.getHeight() / 1000 + border) + "\n");
      ps.append("0 0 moveto\n");
      ps.append(item.genPostScript(context));
      ps.append(context.closeString());
      return ps;
   }
} // class EPSWrapper
