package de.uniulm.mathematik.typo.items;

/**
 * A sequence wrapper maps horizontal sequences into a new
 * sequence that embeds the former. A ragged-right wrapper,
 * for example, would add a glue item with infinite
 * stretchability at the end.
 */
public interface SequenceWrapper {
   /**
    * Create and return a new horizontal sequence that
    * embeds the given sequence. If no change is required,
    * the same sequence may be returned.
    */
   public HorizontalSequence wrap(HorizontalSequence hseq);
}
